cancel
Showing results for 
Search instead for 
Did you mean: 

Server Gurus Discussions

chust
Journeyman III

Installation problems of AOCC and AOCL on OpenSUSE

I am trying to install AOCC and AOCL 3.0 on OpenSUSE 15.2, but get some errors:

> sudo zypper in ./aocc-compiler-3.0.0-1.x86_64.rpm
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides libquadmath needed by aocc-compiler-3.0.0-1.x86_64
 Solution 1: do not install aocc-compiler-3.0.0-1.x86_64
 Solution 2: break aocc-compiler-3.0.0-1.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c/d/?] (c):
> sudo zypper in ./aocl-linux-aocc-3.0_6-1.x86_64.rpm
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following package is going to be upgraded:
  aocl-linux-aocc

1 package to upgrade.
Overall download size: 28.6 MiB. Already cached: 0 B. After the operation, 81.6 MiB will be freed.
Continue? [y/n/v/...? shows all options] (y):
Retrieving package aocl-linux-aocc-3.0_6-1.x86_64                        (1/1),  28.6 MiB (182.1 MiB unpacked)
aocl-linux-aocc-3.0_6-1.x86_64.rpm:
    Package is not signed!

aocl-linux-aocc-3.0_6-1.x86_64 (Plain RPM files cache): Signature verification failed [6-File is unsigned]
Abort, retry, ignore? [a/r/i] (a): i

Checking for file conflicts: ..........................................................................[error]
Detected 2 file conflicts:

File /usr/lib/.build-id/6a/58106b55514a7359007d7e6d216e86b98ad917
  from install of
     aocl-linux-aocc-3.0_6-1.x86_64 (Plain RPM files cache)
  conflicts with file from package
     aocl-linux-gcc-3.0_6-1.x86_64 (@System)

File /usr/lib/.build-id/ff/e147a747b67601c64beb24a197fe12d0289fdd
  from install of
     aocl-linux-aocc-3.0_6-1.x86_64 (Plain RPM files cache)
  conflicts with file from package
     aocl-linux-gcc-3.0_6-1.x86_64 (@System)

File conflicts happen when two packages attempt to install files with the same name but different contents. If you continue, conflicting files will be replaced losing the previous content.
Continue? [yes/no] (no): 

 

libquadmath has already been installed.

aocl-linux-gcc conflicts with aocl-linux aocc.

0 Likes
2 Replies
chust
Journeyman III

Re: Installation problems of AOCC and AOCL on OpenSUSE

By the way, three rpm packages are not signed.

0 Likes
dipak
Staff
Staff

Re: Installation problems of AOCC and AOCL on OpenSUSE

Hi @chust ,

Thank you for reporting it.

For AOCC related support, our amd-server-gurus community is the right place to post any issue/query, hence I'm moving this post there.

 

Thanks.

0 Likes